## astlib 0.11.8

=== requirements.txt ===
--index-url https://pypi.python.org/simple/

sphinx_epytext
numpy
astropy
scipy
matplotlib
-e .

## astlib 0.8.0

=== debian/changelog ===
astlib (0.8.0-4) unstable; urgency=low

  * Push standards-version to 3.9.7 (no changes)
  * Update VCS fields in d/control
  * Add d/u/metadata
  * Depend on astropy by default: pyfits of obsolete now
  * Recommend python-pil instead of depending on it

 -- Ole Streicher <olebole@debian.org>  Thu, 10 Mar 2016 14:52:03 +0100

astlib (0.8.0-3) unstable; urgency=medium

  [ Scott Kitterman ]
  * Build for all supported python3 versions. Closes: #809436
    - Change build-dep on python3-dev to python3-all-dev

 -- Ole Streicher <olebole@debian.org>  Mon, 04 Jan 2016 17:18:39 +0100

astlib (0.8.0-2) unstable; urgency=low

  * Depend on python-pil instead of python-imaging

 -- Ole Streicher <olebole@debian.org>  Fri, 24 Jul 2015 08:42:46 +0200

astlib (0.8.0-1) unstable; urgency=low

  * Initial release. Closes: #777600

 -- Ole Streicher <olebole@debian.org>  Sat, 07 Feb 2015 13:36:40 +0100

=== debian/control ===
Source: astlib
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               libwcstools-dev,
               python-dev,
               python-pkg-resources,
               python3-all-dev,
               python3-pkg-resources,
               swig
Standards-Version: 3.9.7
Homepage: http://astlib.sourceforge.net/
Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/astlib.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/astlib.git

Package: python-astlib
Architecture: any
Depends: python-astropy | python-pyfits,
         python-matplotlib,
         python-numpy,
         python-scipy,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-pil
Description: General Python tools for astronomy
 astLib is a set of Python modules that provides some tools for research
 astronomers. It can be used for astronomical plots, some statistics, common
 calculations, coordinate conversions, and manipulating FITS images with World
 Coordinate System (WCS) information through PyWCSTools - a simple wrapping of
 WCSTools by Jessica Mink. PyWCSTools is distributed (and developed) as part
 of astLib.

Package: python3-astlib
Architecture: any
Depends: python3-astropy | python3-pyfits,
         python3-matplotlib,
         python3-numpy,
         python3-scipy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-pil
Description: General Python3 tools for astronomy
 astLib is a set of Python3 modules that provides some tools for research
 astronomers. It can be used for astronomical plots, some statistics, common
 calculations, coordinate conversions, and manipulating FITS images with World
 Coordinate System (WCS) information through PyWCSTools - a simple wrapping of
 WCSTools by Jessica Mink. PyWCSTools is distributed (and developed) as part
 of astLib.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export PYBUILD_NAME = astlib

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGE_LOG

override_dh_installdocs:
	dh_installdocs -A README RELEASE_NOTES

## astlib 0.9.2

=== debian/changelog ===
astlib (0.9.2-1build1) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 18:47:40 +1200

astlib (0.9.2-1) unstable; urgency=low

  * New upstream version 0.9.2
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Jul 2017 15:59:52 +0200

astlib (0.9.1-2) unstable; urgency=low

  * Fix outdated Exception syntax for Python 3. Closes: #866542

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Jun 2017 09:20:35 +0200

astlib (0.9.1-1) unstable; urgency=low

  * Add ASCL-Id to d/u/metadata
  * New upstream version 0.9.1
  * Rediff patches
  * Push Standards-Version to 4.0.0. No changes

 -- Ole Streicher <olebole@debian.org>  Tue, 27 Jun 2017 22:07:48 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-all-dev,
                python3-pkg-resources,
                swig
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Homepage: http://astlib.sourceforge.net/
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/astlib.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/astlib.git

## astlib 0.10.0

=== debian/changelog ===
astlib (0.10.0-1) unstable; urgency=medium

  * Update VCS fields to use salsa.d.o
  * New upstream version 0.10.0
  * Push Standards-Version to 4.1.3. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Mon, 05 Mar 2018 09:03:32 +0100

astlib (0.9.3-1) unstable; urgency=low

  * New upstream version 0.9.3
  * Rediff patches
  * Push Standards-Version to 4.1.2. Change URLs to https

 -- Ole Streicher <olebole@debian.org>  Tue, 12 Dec 2017 10:33:28 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                python3-all-dev,
                python3-pkg-resources,
                swig
-Standards-Version: 4.0.0
-Homepage: http://astlib.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/astlib.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/astlib.git
+Standards-Version: 4.1.3
+Homepage: https://astlib.sourceforge.net/
+Vcs-Git: https://salsa.debian.org/debian-astro-team/astlib.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/astlib
 
 Package: python-astlib
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	dh_installchangelogs CHANGE_LOG
 
 override_dh_installdocs:
-	dh_installdocs -A README RELEASE_NOTES
+	dh_installdocs -A README

## astlib 0.10.1

=== debian/changelog ===
astlib (0.10.1-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 06:52:53 +0000

astlib (0.10.1-1) unstable; urgency=low

  * New upstream version 0.10.1. Rediff patches
  * Push Standards-Version to 4.1.4. No changes needed
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Fri, 27 Apr 2018 10:51:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: astlib
 Section: python
 Priority: optional
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                libwcstools-dev,
                python-dev,
@@ -11,7 +11,7 @@
                python3-all-dev,
                python3-pkg-resources,
                swig
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://astlib.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astlib.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astlib

## astlib 0.10.2

=== debian/changelog ===
astlib (0.10.2-2) unstable; urgency=low

  * Remove Python 2 package

 -- Ole Streicher <olebole@debian.org>  Thu, 13 Dec 2018 09:01:36 +0100

astlib (0.10.2-1) unstable; urgency=medium

  * New upstream version 0.10.2. Rediff patches
  * Push Standards-Version to 4.2.1. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Sun, 26 Aug 2018 13:59:52 +0200

=== debian/control ===
Source: astlib
Section: python
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               libwcstools-dev,
               python3-all-dev,
               python3-pkg-resources,
               swig
Standards-Version: 4.2.1
Homepage: https://astlib.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian-astro-team/astlib.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/astlib

Package: python3-astlib
Architecture: any
Depends: python3-astropy,
         python3-matplotlib,
         python3-numpy,
         python3-scipy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-pil
Description: General Python3 tools for astronomy
 astLib is a set of Python3 modules that provides some tools for research
 astronomers. It can be used for astronomical plots, some statistics, common
 calculations, coordinate conversions, and manipulating FITS images with World
 Coordinate System (WCS) information through PyWCSTools - a simple wrapping of
 WCSTools by Jessica Mink. PyWCSTools is distributed (and developed) as part
 of astLib.

## astlib 0.11.3

=== debian/changelog ===
astlib (0.11.3-1) unstable; urgency=medium

  * New upstream version 0.11.3. Closes: #946146

 -- Ole Streicher <olebole@debian.org>  Wed, 04 Dec 2019 17:09:52 +0100

astlib (0.11.2-1) unstable; urgency=low

  * New upstream version 0.11.2. Rediff patches
  * Push Standards-Version to 4.4.1. No changes needed
  * Push compat to 12. Remove d/compat
  * Add gitlab-ci yml file

 -- Ole Streicher <olebole@debian.org>  Thu, 28 Nov 2019 13:51:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                libwcstools-dev,
                python3-all-dev,
                python3-pkg-resources,
                swig
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://astlib.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astlib.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astlib

## astlib 0.11.4

=== debian/changelog ===
astlib (0.11.4-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:18:42 +0100

astlib (0.11.4-1) unstable; urgency=low

  * New upstream version 0.11.4. Rediff patches
  * Push Standards-Version to 4.5.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 14 Feb 2020 08:30:18 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-all-dev,
                python3-pkg-resources,
                swig
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://astlib.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astlib.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astlib

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME = astlib

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGE_LOG

override_dh_installdocs:
	dh_installdocs -A README

## astlib 0.11.5

=== debian/changelog ===
astlib (0.11.5-1) unstable; urgency=medium

  * New upstream version 0.11.5
  * Rediff patches
  * Push Standards-Version to 4.5.1. No changes needed
  * Add "Rules-Requires-Root: no" to d/control
  * Push dh-compat to 13
  * Change README file name
  * Update hompage URL and d/u/metadata

 -- Ole Streicher <olebole@debian.org>  Wed, 20 Jan 2021 16:12:18 +0100

## astlib 0.11.7

=== debian/changelog ===
astlib (0.11.7-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:19:39 +0000

astlib (0.11.7-1) unstable; urgency=medium

  * New upstream version 0.11.7
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 16 Aug 2021 08:35:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libwcstools-dev,
                python3-all-dev,
                python3-pkg-resources,
                swig
-Standards-Version: 4.5.0
-Homepage: https://astlib.sourceforge.net/
+Standards-Version: 4.5.1
+Homepage: https://pypi.org/project/astLib/
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astlib.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astlib
+Rules-Requires-Root: no
 
 Package: python3-astlib
 Architecture: any

=== debian/watch ===
# watch control file for uscan
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
dversionmangle=s/\+dfsg\d*// \
https://pypi.python.org/simple/astLib/ .+/astLib-([0-9].*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))(?:\#.+)? debian uupdate

## astlib 0.11.8

=== debian/changelog ===
astlib (0.11.8-1) unstable; urgency=medium

  * Change upstream source location to github
  * New upstream version 0.11.8
  * Rediff patches
  * Push Standards-Version to 4.6.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 19 Aug 2022 09:03:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: astlib
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Gijs Molenaar <gijs@pythonic.nl>,
+           Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                libwcstools-dev,
                python3-all-dev,
                python3-pkg-resources,
                swig
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/astlib
+Vcs-Git: https://salsa.debian.org/debian-astro-team/astlib.git
 Homepage: https://pypi.org/project/astLib/
-Vcs-Git: https://salsa.debian.org/debian-astro-team/astlib.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/astlib
 Rules-Requires-Root: no
 
 Package: python3-astlib

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	dh_installchangelogs CHANGE_LOG
 
 override_dh_installdocs:
-	dh_installdocs -A README
+	dh_installdocs -A README.rst

## astlib 0.11.10

=== PyWCSTools/wcssubs-3.9.5/Makefile ===
OBJS =  wcsinit.o wcs.o wcscon.o fitsfile.o imhfile.o \
	hget.o hput.o iget.o imio.o worldpos.o platepos.o \
	tnxpos.o zpxpos.o dsspos.o poly.o \
        wcslib.o lin.o cel.o proj.o sph.o wcstrig.o dateutil.o distort.o

libwcs.a:	$(OBJS)
	ar rv $@ $?
	ranlib $@

cel.o:		wcslib.h
distort.o:	wcs.h fitshead.h wcslib.h
fitsfile.o:	fitsfile.h fitshead.h
hget.o:		fitshead.h
hput.o:		fitshead.h
iget.o:		fitshead.h
imhfile.o:	fitsfile.h fitshead.h
imio.o:		fitshead.h
lin.o:		wcslib.h
platepos.o:	wcs.h fitshead.h wcslib.h
poly.o:		wcslib.h
proj.o:		wcslib.h
sph.o:		wcslib.h
tnxpos.o:	wcs.h fitshead.h wcslib.h
zpxpos.o:	wcs.h fitshead.h wcslib.h
wcs.o:		wcs.h fitshead.h wcslib.h
wcsinit.o:	wcs.h fitshead.h wcslib.h
wcscon.o:	wcs.h fitshead.h wcslib.h
wcslib.o:	wcslib.h
wcstrig.o:	wcslib.h
worldpos.o:	wcs.h fitshead.h wcslib.h
dateutil.o:	fitsfile.h fitshead.h
fileutil.o:	fitsfile.h

clean:
	rm -f *.a *.o

=== debian/changelog ===
astlib (0.11.10-2) unstable; urgency=medium

  * Amend use_system_wcstools.patch to also include <wcstools/wcs.h> in
    the generated wcscon_wrap.c file (closes: #1066320).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Apr 2024 14:21:14 +0300

astlib (0.11.10-1) unstable; urgency=medium

  * New upstream version 0.11.10
  * Rediff patches
  * Update project homepage (Closes: #974694)

 -- Ole Streicher <olebole@debian.org>  Thu, 19 Oct 2023 11:26:04 +0200

astlib (0.11.9-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Avoid pypi.org in Homepage field.

  [ Ole Streicher ]
  * New upstream version 0.11.9
  * Rediff patches
  * Push Standards-Version to 4.6.2. No changes needed
  * New build dependency python3-setuptools

 -- Ole Streicher <olebole@debian.org>  Thu, 12 Oct 2023 18:39:59 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
                libwcstools-dev,
                python3-all-dev,
                python3-pkg-resources,
+               python3-setuptools,
                swig
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astlib
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astlib.git
-Homepage: https://pypi.org/project/astLib/
+Homepage: https://astlib.readthedocs.io
 Rules-Requires-Root: no
 
 Package: python3-astlib

## astlib 0.12.0

=== debian/changelog ===
astlib (0.12.0-2build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:01:31 +0000

astlib (0.12.0-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 21:45:00 +0000

astlib (0.12.0-2) unstable; urgency=medium

  * Team upload.
  * Drop dependency on python3-pkg-resources (Closes: #1083304)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Jan 2025 12:27:04 +0100

astlib (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * Rediff patches
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sat, 03 Aug 2024 18:50:23 +0200

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/astLib-$1\.tar\.gz/ \
  https://github.com/mattyowl/astLib/tags .*/v?(\d\S+)\.tar\.gz

## astlib 0.13.1

=== requirements.txt ===
--- 
+++ 
@@ -5,4 +5,5 @@
 astropy
 scipy
 matplotlib
+sphinx_rtd_theme
 -e .

=== debian/changelog ===
astlib (0.13.1-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * finish Py2 -> Py3 transition

  [ Phil Wyett ]
  * Convert 'd/watch' to version 5 format.
  * Remove no longer needed 'Rules-Requires-Root: no'. Now is default behavior.
  * Add hardening for C/CPP elements.
  * 'debian/copyright' changes...
  * Update 'Standards-Vesrion' to 4.7.2, no changes required.

  [ Ole Streicher ]
  * New upstream version 0.13.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 24 Oct 2025 11:11:00 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,12 @@
                dh-python,
                libwcstools-dev,
                python3-all-dev,
-               python3-pkg-resources,
                python3-setuptools,
                swig
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astlib
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astlib.git
 Homepage: https://astlib.readthedocs.io
-Rules-Requires-Root: no
 
 Package: python3-astlib
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-#
-# Uncomment this to turn on verbose mode.
+
+# Uncomment the line below to turn on debhelper verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export PYBUILD_NAME = astlib

=== debian/watch ===
Version: 5
Template: Github
Owner: mattyowl
Project: astLib

## astlib 0.13.2

=== debian/changelog ===
astlib (0.13.2-1) unstable; urgency=medium

  * New upstream version 0.13.2
  * Rediff patches
  * Push Standards-Version to 4.7.3, no changes needed

 -- Ole Streicher <olebole@debian.org>  Thu, 19 Feb 2026 22:45:17 +0100

=== debian/control ===
Source: astlib
Standards-Version: 4.7.3
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders:
 Gijs Molenaar <gijs@pythonic.nl>,
 Ole Streicher <olebole@debian.org>,
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 libwcstools-dev,
 python3-all-dev,
 python3-setuptools,
 swig,
Vcs-Browser: https://salsa.debian.org/debian-astro-team/astlib
Vcs-Git: https://salsa.debian.org/debian-astro-team/astlib.git
Homepage: https://astlib.readthedocs.io

Package: python3-astlib
Architecture: any
Depends:
 python3-astropy,
 python3-matplotlib,
 python3-numpy,
 python3-scipy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-pil,
Description: General Python3 tools for astronomy
 astLib is a set of Python3 modules that provides some tools for research
 astronomers. It can be used for astronomical plots, some statistics, common
 calculations, coordinate conversions, and manipulating FITS images with World
 Coordinate System (WCS) information through PyWCSTools - a simple wrapping of
 WCSTools by Jessica Mink. PyWCSTools is distributed (and developed) as part
 of astLib.
